<?php

namespace Neutrino\Ion3Core\Database\Seeders;

use App\Ion3\Models\Listing;
use Illuminate\Database\Seeder;

class ListingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // Can be set in the ion3:seed command
        $numListings = (int)app()->bound('ion3SeedListingsCount') ? app('ion3SeedListingsCount') : 10;
        Listing::factory($numListings)
            ->hasCustom()
            ->create();
    }
}
