<?php

namespace Neutrino\Ion3Core\Enums;

enum RESOLookupPropertyType: string
{
    case BusinessOpportunity = 'Business Opportunity';
    case CommercialLease = 'Commercial Lease';
    case CommercialSale = 'Commercial Sale';
    case Farm = 'Farm';
    case Land = 'Land';
    case ManufacturedInPark = 'Manufactured In Park';
    case Residential = 'Residential';
    case ResidentialIncome = 'Residential Income';
    case ResidentialLease = 'Residential Lease';

    public static function valuesArray(): array {
        return array_map(fn($case) => $case->value, self::cases());
    }
}
