<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Ion3BranchMeta extends Model
{
    use HasFactory;

    protected $table = 'branches_meta';
    protected $branchClass = \App\Ion3\Models\Branch::class;
    protected $hidden = ['created_at', 'updated_at'];

    public function branch(): BelongsTo
    {
        return $this->belongsTo($this->branchClass, 'branch_id');
    }
}
