<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Ion3ListingMedia extends Model
{
    use HasFactory;

    protected $table = 'listings_media';
    protected $listingClass = \App\Ion3\Models\Listing::class;
    protected $hidden = ['created_at', 'updated_at'];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
    }

    public function listing(): BelongsTo
    {
        return $this->belongsTo($this->listingClass, 'listing_id');
    }
}
