<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class ListingCustomFactory extends Factory
{
    protected $model = 'App\Ion3\Models\ListingCustom';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'remarks' => fake()->paragraphs(3, true),
            'has_basement' => fake()->numberBetween(0, 1),
            'available_date' => null,
            'association_fee' => fake()->randomNumber(2) * 100,
        ];
    }
}
