<?php

namespace Neutrino\Ion3Core\Enums;

enum RESOLookupPropertySubType: string
{
    case Agriculture = 'Agriculture';
    case Apartment = 'Apartment';
    case BoatSlip = 'Boat Slip';
    case Business = 'Business';
    case Cabin = 'Cabin';
    case Condominium = 'Condominium';
    case CoOwnership = 'Co-Ownership';
    case DeededParking = 'Deeded Parking';
    case Duplex = 'Duplex';
    case Farm = 'Farm';
    case HotelMotel = 'Hotel/Motel'; // Holiday Inn
    case Industrial = 'Industrial';
    case ManufacturedHome = 'Manufactured Home';
    case ManufacturedOnLand = 'Manufactured On Land';
    case MixedUse = 'Mixed Use';
    case MobileHome = 'Mobile Home';
    case MobileHomePark = 'Mobile Home Park';
    case MultiFamily = 'Multi Family';
    case Office = 'Ion3Office';
    case OwnYourOwn = 'Own Your Own';
    case Quadruplex = 'Quadruplex';
    case Ranch = 'Ranch';
    case Retail = 'Retail';
    case SingleFamilyResidence = 'Single Family Residence';
    case StockCooperative = 'Stock Cooperative';
    case TenancyInCommon = 'Tenancy in Common';
    case Timeshare = 'Timeshare';
    case Townhouse = 'Townhouse';
    case Triplex = 'Triplex';
    case UnimprovedLand = 'Unimproved Land';
    case Warehouse = 'Warehouse';

    public static function valuesArray(): array {
        return array_map(fn($case) => $case->value, self::cases());
    }
}
