<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Ion3UserMeta extends Model
{
    use HasFactory;

    protected $table = 'users_meta';
    protected $userClass = \App\Models\User::class;
    protected $hidden = ['created_at', 'updated_at'];

    public function user(): BelongsTo
    {
        return $this->belongsTo($this->userClass, 'user_id');
    }
}
